// FormEditorDoc.h : interface of the CFormEditorDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORMEDITORDOC_H__58B8747A_D0D3_45CE_A64D_C9D8F46EDAB6__INCLUDED_)
#define AFX_FORMEDITORDOC_H__58B8747A_D0D3_45CE_A64D_C9D8F46EDAB6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define WM_SAVEDOCUMENT    WM_USER + 1000

 
//===========================================================================
// Summary:
//     The CFormEditorDoc class derived from CDocument
//      Form Editor Document
//===========================================================================

class CFormEditorDoc : public CDocument
{
protected: // create from serialization only
	
	//-----------------------------------------------------------------------
	// Summary:
	// Form Editor Document, Constructs a CFormEditorDoc object.
	//		Returns A  value.
	CFormEditorDoc();
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CFormEditorDoc---Form Editor Document, Specifies a CFormEditorDoc object.
	DECLARE_DYNCREATE(CFormEditorDoc)

// Attributes
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Document Name, Returns the specified value.
	//		Returns a CString type value.
	CString GetDocumentName();
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormEditorDoc)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// On New Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL OnNewDocument();
	
	//-----------------------------------------------------------------------
	// Summary:
	// Serialize, Reads or writes this object from or to an archive.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		ar---Specifies a CArchive& ar object.
	virtual void Serialize(CArchive& ar);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Open Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		lpszPathName---Path Name, Specifies A 32-bit pointer to a constant character string that is portable for Unicode and DBCS.
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Save Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		lpszPathName---Path Name, Specifies A 32-bit pointer to a constant character string that is portable for Unicode and DBCS.
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C Form Editor Document, Destructor of class CFormEditorDoc
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CFormEditorDoc();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
 
	// Document Name, You can freely substitute CString objects for const char* and LPCTSTR function arguments.  
	CString m_strDocumentName;

// Generated message map functions
protected:
	//{{AFX_MSG(CFormEditorDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMEDITORDOC_H__58B8747A_D0D3_45CE_A64D_C9D8F46EDAB6__INCLUDED_)
