// FormEditorView.cpp : implementation of the CFormEditorView class
//

#include "stdafx.h"
#include "FormEditor.h"

#include "FormEditorDoc.h"
#include "FormEditorView.h"
#include "uccdrawglobals.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFormEditorView

IMPLEMENT_DYNCREATE(CFormEditorView, CFormView)

BEGIN_MESSAGE_MAP(CFormEditorView, CFormView)
	//{{AFX_MSG_MAP(CFormEditorView)
	ON_WM_SIZE()
	ON_COMMAND(ID_DRAW_BUTTON, OnDrawButton)
	ON_UPDATE_COMMAND_UI(ID_DRAW_BUTTON, OnUpdateDrawButton)
	ON_COMMAND(ID_DRAW_CALENDAR, OnDrawCalendar)
	ON_UPDATE_COMMAND_UI(ID_DRAW_CALENDAR, OnUpdateDrawCalendar)
	ON_COMMAND(ID_DRAW_CHECKBOX, OnDrawCheckbox)
	ON_UPDATE_COMMAND_UI(ID_DRAW_CHECKBOX, OnUpdateDrawCheckbox)
	ON_COMMAND(ID_DRAW_COMBOBOX, OnDrawCombobox)
	ON_UPDATE_COMMAND_UI(ID_DRAW_COMBOBOX, OnUpdateDrawCombobox)
	ON_COMMAND(ID_DRAW_EDIT, OnDrawEdit)
	ON_UPDATE_COMMAND_UI(ID_DRAW_EDIT, OnUpdateDrawEdit)
	ON_COMMAND(ID_DRAW_EDITWITHBUTTON, OnDrawEditwithbutton)
	ON_UPDATE_COMMAND_UI(ID_DRAW_EDITWITHBUTTON, OnUpdateDrawEditwithbutton)
	ON_COMMAND(ID_DRAW_GROUPBOX, OnDrawGroupbox)
	ON_UPDATE_COMMAND_UI(ID_DRAW_GROUPBOX, OnUpdateDrawGroupbox)
	ON_COMMAND(ID_DRAW_HSCROLL, OnDrawHscroll)
	ON_UPDATE_COMMAND_UI(ID_DRAW_HSCROLL, OnUpdateDrawHscroll)
	ON_COMMAND(ID_DRAW_LISTBOX, OnDrawListbox)
	ON_UPDATE_COMMAND_UI(ID_DRAW_LISTBOX, OnUpdateDrawListbox)
	ON_COMMAND(ID_DRAW_LISTCTRL, OnDrawListctrl)
	ON_UPDATE_COMMAND_UI(ID_DRAW_LISTCTRL, OnUpdateDrawListctrl)
	ON_COMMAND(ID_DRAW_PROGRESS, OnDrawProgress)
	ON_UPDATE_COMMAND_UI(ID_DRAW_PROGRESS, OnUpdateDrawProgress)
	ON_COMMAND(ID_DRAW_RADIO, OnDrawRadio)
	ON_UPDATE_COMMAND_UI(ID_DRAW_RADIO, OnUpdateDrawRadio)
	ON_COMMAND(ID_DRAW_RECT, OnDrawRect)
	ON_UPDATE_COMMAND_UI(ID_DRAW_RECT, OnUpdateDrawRect)
	ON_COMMAND(ID_DRAW_ROUNDBUTTON, OnDrawRoundbutton)
	ON_UPDATE_COMMAND_UI(ID_DRAW_ROUNDBUTTON, OnUpdateDrawRoundbutton)
	ON_COMMAND(ID_DRAW_SCROLLTEXT, OnDrawScrolltext)
	ON_UPDATE_COMMAND_UI(ID_DRAW_SCROLLTEXT, OnUpdateDrawScrolltext)
	ON_COMMAND(ID_DRAW_SEPARATER, OnDrawSeparater)
	ON_UPDATE_COMMAND_UI(ID_DRAW_SEPARATER, OnUpdateDrawSeparater)
	ON_COMMAND(ID_DRAW_SLIDER, OnDrawSlider)
	ON_UPDATE_COMMAND_UI(ID_DRAW_SLIDER, OnUpdateDrawSlider)
	ON_COMMAND(ID_DRAW_SPINEDIT, OnDrawSpinedit)
	ON_UPDATE_COMMAND_UI(ID_DRAW_SPINEDIT, OnUpdateDrawSpinedit)
	ON_COMMAND(ID_DRAW_TAB, OnDrawTab)
	ON_UPDATE_COMMAND_UI(ID_DRAW_TAB, OnUpdateDrawTab)
	ON_COMMAND(ID_DRAW_VSCROLL, OnDrawVscroll)
	ON_UPDATE_COMMAND_UI(ID_DRAW_VSCROLL, OnUpdateDrawVscroll)
	ON_COMMAND(ID_DRAW_MCOMBOBOX, OnDrawMcombobox)
	ON_UPDATE_COMMAND_UI(ID_DRAW_MCOMBOBOX, OnUpdateDrawMcombobox)
	ON_COMMAND(ID_DRAW_DATECHOOSE, OnDrawDatechoose)
	ON_UPDATE_COMMAND_UI(ID_DRAW_DATECHOOSE, OnUpdateDrawDatechoose)
	ON_COMMAND(ID_DRAW_MENUEDIT, OnDrawMenuedit)
	ON_UPDATE_COMMAND_UI(ID_DRAW_MENUEDIT, OnUpdateDrawMenuedit)
	ON_COMMAND(ID_FO_DRAW_SELECT, OnFoDrawSelect)
	ON_COMMAND(ID_FO_DRAW_LINE, OnFoDrawLine)
	ON_COMMAND(ID_FO_DRAW_RECTANGLE, OnFoDrawRectangle)
	ON_COMMAND(ID_FO_DRAW_IMAGE, OnFoDrawImage)
	ON_COMMAND(ID_FO_DRAW_ELLIPSE, OnFoDrawEllipse)
	ON_COMMAND(ID_FO_DRAW_BUTTON, OnFoDrawButton)
	ON_COMMAND(ID_FO_DRAW_STATIC, OnFoDrawStatic)
	ON_COMMAND(ID_DRAW_MASKEDIT, OnDrawMaskedit)
	ON_COMMAND(ID_DRAW_PASSWORDEDIT, OnDrawPasswordedit)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, OnFilePrintPreview)
	ON_COMMAND(ID_FO_DESIGN, OnFoDesign)
	ON_UPDATE_COMMAND_UI(ID_FO_DESIGN, OnUpdateFoDesign)
	ON_COMMAND(ID_EDIT_UNDO, OnEditUndo)
	ON_COMMAND(ID_EDIT_REDO, OnEditRedo)
	ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
	ON_UPDATE_COMMAND_UI(ID_EDIT_COPY, OnUpdateEditCopy)
	ON_COMMAND(ID_EDIT_CUT, OnEditCut)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CUT, OnUpdateEditCut)
	ON_COMMAND(ID_EDIT_PASTE, OnEditPaste)
	ON_UPDATE_COMMAND_UI(ID_EDIT_PASTE, OnUpdateEditPaste)
	ON_COMMAND(ID_EDIT_CLEAR, OnEditClear)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CLEAR, OnUpdateEditClear)
	ON_UPDATE_COMMAND_UI(ID_EDIT_UNDO, OnUpdateEditUndo)
	ON_UPDATE_COMMAND_UI(ID_EDIT_REDO, OnUpdateEditRedo)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_MESSAGE( WM_SAVEDOCUMENT, OnSaveDocument)
	ON_COMMAND(ID_FILE_PRINT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CFormView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFormEditorView construction/destruction

CFormEditorView::CFormEditorView()
	: CFormView(CFormEditorView::IDD)
{
	//{{AFX_DATA_INIT(CFormEditorView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CFormEditorView::~CFormEditorView()
{
	m_strFileName = "";
}

void CFormEditorView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFormEditorView)
	DDX_Control(pDX, IDC_UCCDRAWCTRL1, m_XDrawCtrl);
	//}}AFX_DATA_MAP
}

BOOL CFormEditorView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CFormEditorView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();

	CRect Rect;
    GetClientRect(Rect);
    m_XDrawCtrl.MoveWindow(Rect);
	m_XDrawCtrl.ShowToolBoxWindow(FALSE);
	m_XDrawCtrl.SetPageBkColor(::GetSysColor(COLOR_APPWORKSPACE));
//	m_XDrawCtrl.ZoomToFitPageWidth();
//	m_XDrawCtrl.Invalidate();

	// 
	m_XDrawCtrl.EnterEditingBack();
	m_XDrawCtrl.AddEllipse2Shape(0,0,700,800,"Test");
	m_XDrawCtrl.EndEditingBack();
	CFormEditorDoc* pDoc = GetDocument();
	if(pDoc != NULL)
	{
		CString strDocName = pDoc->GetDocumentName();
		if(strDocName != "")
		{
			m_XDrawCtrl.Read(strDocName);
		}
	}	
	
	if (m_XDrawCtrl.GetSafeHwnd() != NULL)
	{
		CRect rc;
		GetClientRect(&rc);
		m_XDrawCtrl.MoveWindow(0, 0, rc.Width(), rc.Height());
	}

}

/////////////////////////////////////////////////////////////////////////////
// CFormEditorView printing

BOOL CFormEditorView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CFormEditorView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CFormEditorView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CFormEditorView::OnPrint(CDC* pDC, CPrintInfo* /*pInfo*/)
{
	// TODO: add customized printing code here
}

/////////////////////////////////////////////////////////////////////////////
// CFormEditorView diagnostics

#ifdef _DEBUG
void CFormEditorView::AssertValid() const
{
	CFormView::AssertValid();
}

void CFormEditorView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CFormEditorDoc* CFormEditorView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFormEditorDoc)));
	return (CFormEditorDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFormEditorView message handlers

void CFormEditorView::OnSize(UINT nType, int cx, int cy) 
{
	CFormView::OnSize(nType, cx, cy);
	
	// TODO: Add your message handler code here
	CRect Rect;
    GetClientRect(Rect);
    if (m_XDrawCtrl.GetSafeHwnd() !=NULL) 
	{
        m_XDrawCtrl.MoveWindow(Rect);
		
        ShowScrollBar(SB_BOTH, FALSE);
    }	
}

void CFormEditorView::OnDrawButton() 
{
	// TODO: Add your command handler code here
	long ntype = FO_COMP_BUTTON;
	m_XDrawCtrl.DrawCustomRect(FO_COMP_BUTTON);
}

void CFormEditorView::OnUpdateDrawButton(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
}

void CFormEditorView::OnDrawCalendar() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_CALENDAR;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawCalendar(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawCheckbox() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_CHECKBOX;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawCheckbox(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawCombobox() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_COMBOBOX;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawCombobox(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawEdit() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_EDITBOX;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawEdit(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawEditwithbutton() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_SELECTEDIT;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawEditwithbutton(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawGroupbox() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_FRAME;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawGroupbox(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawHscroll() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_HORSCROLL;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawHscroll(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawListbox() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_LISTBOX;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawListbox(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawListctrl() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_LISTCTRL;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawListctrl(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawProgress() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_PROGRESS;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawProgress(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawRadio() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_RADIO;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawRadio(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawRect() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_STATICRECT;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawRect(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawRoundbutton() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_ROUNDBUTTON;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawRoundbutton(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawScrolltext() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_MARQUEE;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawScrolltext(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawSeparater() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_SEPARATOR;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawSeparater(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawSlider() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_SLIDER;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawSlider(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawSpinedit() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_SPINEDIT;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawSpinedit(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawTab() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_TAB;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawTab(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawVscroll() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_VERSCROLL;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawVscroll(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawMcombobox() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_TABCOMBOBOX;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawMcombobox(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawDatechoose() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_DATETIME;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawDatechoose(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnDrawMenuedit() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_MENUEDIT;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnUpdateDrawMenuedit(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}

void CFormEditorView::OnFoDrawSelect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawSelect();
}

void CFormEditorView::OnFoDrawLine() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawLine();
}

void CFormEditorView::OnFoDrawRectangle() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRectangle();
}

void CFormEditorView::OnFoDrawImage() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDoDrawImage();
}

void CFormEditorView::OnFoDrawEllipse() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawEllipse();
}

void CFormEditorView::OnFoDrawButton() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawButton();
}

void CFormEditorView::OnFoDrawStatic() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawStatic();
}

void CFormEditorView::OnDrawMaskedit() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_MASKEDIT;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnDrawPasswordedit() 
{
	// TODO: Add your command handler code here
	long m_drawshape = FO_COMP_PASSWORD;
	m_XDrawCtrl.DrawCustomRect(m_drawshape);
}

void CFormEditorView::OnFoDesign() 
{
	// TODO: Add your command handler code here
	BOOL bDesign = m_XDrawCtrl.GetDesignMode();
	m_XDrawCtrl.SetDesignMode(!bDesign);
}

void CFormEditorView::OnUpdateFoDesign(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDesignMode());
}

void CFormEditorView::OnEditUndo() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Undo();
}

void CFormEditorView::OnEditRedo() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Redo();
}

void CFormEditorView::OnEditCopy() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Copy();
}

void CFormEditorView::OnUpdateEditCopy(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CFormEditorView::OnEditCut() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Cut();
}

void CFormEditorView::OnUpdateEditCut(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CFormEditorView::OnEditPaste() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Paste();
}

void CFormEditorView::OnUpdateEditPaste(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanPaste());
}

LONG CFormEditorView::OnSaveDocument( WPARAM wParam, LPARAM lParam)
{
	CFormEditorDoc* pDoc = GetDocument();
	if(pDoc != NULL)
	{
		CString strDocName = pDoc->GetDocumentName();
		if(strDocName != "")
		{
			LONG lRes = (LONG) m_XDrawCtrl.Write(strDocName);  // in .pdr format
			if(lRes)
			{
				// inform the framework that the modifications were saved:
				pDoc->SetModifiedFlag(FALSE);
				// set the control's flag so the Modified event can be fired again:
				m_XDrawCtrl.SetModifiedFlag(FALSE);
			}
			return lRes;
		}
	}	
	
	return 0L;
}

void CFormEditorView::OnEditClear() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Clear();
}

void CFormEditorView::OnUpdateEditClear(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CFormEditorView::OnUpdateEditUndo(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanUndo());
}

void CFormEditorView::OnUpdateEditRedo(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanRedo());
}
