// FormEditorView.h : interface of the CFormEditorView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORMEDITORVIEW_H__44B7E6BD_88E6_4471_B736_F4679D448E3C__INCLUDED_)
#define AFX_FORMEDITORVIEW_H__44B7E6BD_88E6_4471_B736_F4679D448E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "uccdraw.h"

 
//===========================================================================
// Summary:
//     The CFormEditorView class derived from CFormView
//      Form Editor View
//===========================================================================

class CFormEditorView : public CFormView
{
protected: // create from serialization only
	
	//-----------------------------------------------------------------------
	// Summary:
	// Form Editor View, Constructs a CFormEditorView object.
	//		Returns A  value.
	CFormEditorView();
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CFormEditorView---Form Editor View, Specifies a CFormEditorView object.
	DECLARE_DYNCREATE(CFormEditorView)

public:
	//{{AFX_DATA(CFormEditorView)
	enum { IDD = IDD_FORMEDITOR_FORM };
 
	// X Draw , This member specify CUCCDraw object.  
	CUCCDraw	m_XDrawCtrl;
	//}}AFX_DATA

// Attributes
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Document, Returns the specified value.
	//		Returns a pointer to the object CFormEditorDoc,or NULL if the call failed
	CFormEditorDoc* GetDocument();

protected:
 
	// File Name, You can freely substitute CString objects for const char* and LPCTSTR function arguments.  
	CString m_strFileName;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormEditorView)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Before Create Window, Called before the creation of the Windows window attached to this CWnd object.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		cs---Specifies a CREATESTRUCT& cs object.
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Update, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void OnInitialUpdate(); // called first time after construct
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Prepare Printing, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Begin Printing, Called when a print job begins; override to allocate graphics device interface (GDI) resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On End Printing, Called when a print job ends; override to deallocate GDI resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Print, Called to print or preview a page of the document.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C Form Editor View, Destructor of class CFormEditorView
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CFormEditorView();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFormEditorView)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Size, Called after the size of CWnd has changed.
	// Parameters:
	//		nType---nType, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		cx---Specifies A integer value.  
	//		cy---Specifies A integer value.
	afx_msg void OnSize(UINT nType, int cx, int cy);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Button, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawButton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Button, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawButton(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Calendar, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawCalendar();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Calendar, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawCalendar(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Checkbox, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawCheckbox();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Checkbox, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawCheckbox(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Combobox, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawCombobox();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Combobox, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawCombobox(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Edit, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawEdit();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Edit, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawEdit(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Editwithbutton, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawEditwithbutton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Editwithbutton, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawEditwithbutton(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Groupbox, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawGroupbox();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Groupbox, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawGroupbox(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Hscroll, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawHscroll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Hscroll, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawHscroll(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Listbox, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawListbox();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Listbox, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawListbox(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Listctrl, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawListctrl();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Listctrl, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawListctrl(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Progress, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawProgress();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Progress, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawProgress(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Radio, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawRadio();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Radio, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawRadio(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Rectangle, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawRect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Rectangle, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawRect(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Roundbutton, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawRoundbutton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Roundbutton, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawRoundbutton(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Scrolltext, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawScrolltext();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Scrolltext, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawScrolltext(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Separater, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawSeparater();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Separater, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawSeparater(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Slider, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawSlider();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Slider, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawSlider(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Spinedit, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawSpinedit();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Spinedit, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawSpinedit(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Tab, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawTab();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Tab, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawTab(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Vscroll, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawVscroll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Vscroll, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawVscroll(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Mcombobox, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawMcombobox();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Mcombobox, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawMcombobox(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Datechoose, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawDatechoose();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Datechoose, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawDatechoose(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Menuedit, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawMenuedit();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Draw Menuedit, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateDrawMenuedit(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Select, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawSelect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Line, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawLine();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Rectangle, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRectangle();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Image, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawImage();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Ellipse, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawEllipse();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Button, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawButton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Static, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawStatic();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Maskedit, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawMaskedit();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Passwordedit, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDrawPasswordedit();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Design, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDesign();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Design, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDesign(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Undo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditUndo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Redo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditRedo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Copy, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditCopy();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Copy, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Cut, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditCut();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Cut, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Paste, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditPaste();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Paste, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Clear, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditClear();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Clear, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditClear(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Undo, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Redo, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Save Document, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns A 32-bit signed integer.  
	// Parameters:
	//		wParam---wParam, Provides additional information used in processing the message. The parameter value depends on the message.  
	//		lParam---lParam, Specifies A lparam value.
	afx_msg LONG OnSaveDocument( WPARAM wParam, LPARAM lParam);
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FormEditorView.cpp
inline CFormEditorDoc* CFormEditorView::GetDocument()
   { return (CFormEditorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMEDITORVIEW_H__44B7E6BD_88E6_4471_B736_F4679D448E3C__INCLUDED_)
