// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__24302FAD_2ECD_4669_AFE8_B960C5D2CFC7__INCLUDED_)
#define AFX_MAINFRM_H__24302FAD_2ECD_4669_AFE8_B960C5D2CFC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

 
//===========================================================================
// Summary:
//     The CMainFrame class derived from CMDIFrameWnd
//      Main Frame
//===========================================================================

class CMainFrame : public CMDIFrameWnd
{
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N A M I C, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CMainFrame---Main Frame, Specifies a CMainFrame object.
	DECLARE_DYNAMIC(CMainFrame)
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Main Frame, Constructs a CMainFrame object.
	//		Returns A  value.
	CMainFrame();

// Attributes

public:

	
	//-----------------------------------------------------------------------
	// Summary:
	// Dock  Bar Left Of, Do a event. 
	// Parameters:
	//		Bar---Bar, A pointer to the CToolBar or NULL if the call failed.  
	//		LeftOf---Left Of, A pointer to the CToolBar or NULL if the call failed.
	void DockControlBarLeftOf(CToolBar* Bar,CToolBar* LeftOf);
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Before Create Window, Called before the creation of the Windows window attached to this CWnd object.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		cs---Specifies a CREATESTRUCT& cs object.
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C Main Frame, Destructor of class CMainFrame
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CMainFrame();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
 
	// Status Bar, This member specify CStatusBar object.  
	CStatusBar  m_wndStatusBar;
 
	// Tool Bar, This member specify CToolBar object.  
	CToolBar    m_wndToolBar;
 
	// Draw Tool Bar, This member specify CToolBar object.  
	CToolBar    m_wndDrawToolBar;
 
	// Format Tool Bar, This member specify CToolBar object.  
	CToolBar    m_wndFormatToolBar;
 
	// Allign Tool Bar, This member specify CToolBar object.  
	CToolBar    m_wndAllignToolBar;
 
	// Link Tool Bar, This member specify CToolBar object.  
	CToolBar    m_wndLinkToolBar;
 
	// Shear Tool Bar, This member specify CToolBar object.  
	CToolBar	m_wndShearToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Create, Called as a part of window creation.
	//		Returns a int type value.  
	// Parameters:
	//		LPCREATESTRUCT---P C R E A T E S T R U C T, Specifies a LPCREATESTRUCT LPCREATESTRUCT object.
	afx_msg int OnCreate(LPCREATESTRUCT LPCREATESTRUCT);
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__24302FAD_2ECD_4669_AFE8_B960C5D2CFC7__INCLUDED_)
