// UCCSampleView.h : interface of the CUCCSampleView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "uccdraw.h"
//}}AFX_INCLUDES

#if !defined(AFX_UCCSAMPLEVIEW_H__A5E9E026_F3CF_46F0_9110_11BE77D97FFC__INCLUDED_)
#define AFX_UCCSAMPLEVIEW_H__A5E9E026_F3CF_46F0_9110_11BE77D97FFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "uccdrawglobals.h"

 
//===========================================================================
// Summary:
//     The CUCCSampleView class derived from CFormView
//      U C C Sample View
//===========================================================================

class CUCCSampleView : public CFormView
{
protected: // create from serialization only
	
	//-----------------------------------------------------------------------
	// Summary:
	// U C C Sample View, Constructs a CUCCSampleView object.
	//		Returns A  value.
	CUCCSampleView();
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CUCCSampleView---U C C Sample View, Specifies a CUCCSampleView object.
	DECLARE_DYNCREATE(CUCCSampleView)

public:
	//{{AFX_DATA(CUCCSampleView)
	enum { IDD = IDD_UCCSAMPLE_FORM };
 
	// X Draw , This member specify CUCCDraw object.  
	CUCCDraw	m_XDrawCtrl;
	//}}AFX_DATA

// Attributes
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Document, Returns the specified value.
	//		Returns a pointer to the object CUCCSampleDoc,or NULL if the call failed
	CUCCSampleDoc* GetDocument();

 
	// I Picture Disp, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp;
 
	// m_testBitmap, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap;
 
	// Logical Pal, This member specify LPLOGPALETTE object.  
	LPLOGPALETTE m_lpLogPal;
protected:
 
	// File Name, You can freely substitute CString objects for const char* and LPCTSTR function arguments.  
	CString m_strFileName;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUCCSampleView)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Before Create Window, Called before the creation of the Windows window attached to this CWnd object.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		cs---Specifies a CREATESTRUCT& cs object.
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Update, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void OnInitialUpdate(); // called first time after construct
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Prepare Printing, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Begin Printing, Called when a print job begins; override to allocate graphics device interface (GDI) resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On End Printing, Called when a print job ends; override to deallocate GDI resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Print, Called to print or preview a page of the document.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C U C C Sample View, Destructor of class CUCCSampleView
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CUCCSampleView();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUCCSampleView)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Size, Called after the size of CWnd has changed.
	// Parameters:
	//		nType---nType, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		cx---Specifies A integer value.  
	//		cy---Specifies A integer value.
	afx_msg void OnSize(UINT nType, int cx, int cy);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Design, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDesign();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Design, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDesign(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Arrowbezierline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawArrowbezierline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Arrowbezierline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawArrowbezierline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Arrowline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawArrowline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Arrowline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawArrowline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Button, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawButton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Button, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawButton(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Closebezier, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawClosebezier();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Closebezier, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawClosebezier(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Crossline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawCrossline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Crossline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawCrossline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Dimline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawDimline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Dimline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawDimline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Ellipse, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawEllipse();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Ellipse, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawEllipse(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Freecloseline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawFreecloseline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Freecloseline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawFreecloseline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Freeline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawFreeline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Freeline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawFreeline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Image, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawImage();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Image, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawImage(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Line, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawLine();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Line, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawLine(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Polygon, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawPolygon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Polygon, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawPolygon(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Polyline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawPolyline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Polyline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawPolyline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Port, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawPort();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Port, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawPort(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Rectangle, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRectangle();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Rectangle, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawRectangle(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Round, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRound();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Round, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawRound(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Select, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawSelect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Select, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawSelect(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Static, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawStatic();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Static, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawStatic(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Edit Spots, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoEditSpots();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Edit Spots, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoEditSpots(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Grid, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGrid();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Grid, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGrid(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Undo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditUndo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Redo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditRedo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Pageprop, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPageprop();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Copy, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditCopy();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Copy, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Cut, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditCut();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Cut, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Paste, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditPaste();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Paste, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Show Grid, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShowGrid();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Show Grid, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShowGrid(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo File Export, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoFileExport();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo File Export, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoFileExport(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Print Header Footer, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPrintHeaderFooter();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On File Page Setup, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFilePageSetup();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On File Print, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFilePrint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On File Print Preview, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFilePrintPreview();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Clear, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditClear();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Clear, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditClear(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Undo, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Redo, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Select All, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditSelectAll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Select All, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditSelectAll(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Edit Clear All, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnEditClearAll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Edit Clear All, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateEditClearAll(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Zoom50, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewZoom50();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Zoom75, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewZoom75();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Zoom100, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewZoom100();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Zoom150, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewZoom150();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Zoom200, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewZoom200();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Scalesub25, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewScalesub25();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Scaleadd25, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewScaleadd25();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Zoomfitpage, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoZoomfitpage();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Zoomfitwidth, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoZoomfitwidth();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Zoomfitheight, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoZoomfitheight();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Zoom Fitselect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoZoomFitselect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Zoomwithinrect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoZoomwithinrect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Grid Property, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGridProp();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Components Select, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCompsSelect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Group, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGroup();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Group, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGroup(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Ungroup, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoUngroup();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Ungroup, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoUngroup(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Rotate, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoRotate();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Rotate, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoRotate(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Rotate Left, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoRotateLeft();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Rotate Right, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoRotateRight();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Rotate Left, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoRotateLeft(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Rotate Right, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoRotateRight(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Flip Horizontal, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoFlipHorz();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Flip Horizontal, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoFlipHorz(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Flip Vertical, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoFlipVert();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Flip Vertical, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoFlipVert(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Front, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoFront();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Front, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoFront(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Back, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoBack();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Back, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoBack(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Forward, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoForward();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Forward, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoForward(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Backward, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoBackward();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Backward, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoBackward(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Left, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignLeft();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Left, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignLeft(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Center, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignCenter();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Center, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignCenter(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Right, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignRight();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Right, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignRight(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Top, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignTop();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Top, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignTop(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Vcenter, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignVcenter();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Vcenter, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignVcenter(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Bottom, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignBottom();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Bottom, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignBottom(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Size Width, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoSizeWidth();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Size Width, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoSizeWidth(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Size Height, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoSizeHeight();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Size Height, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoSizeHeight(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Size All, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoSizeAll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Size All, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoSizeAll(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Inview Hor, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignInviewHor();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Inview Hor, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignInviewHor(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Align Inview Ver, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoAlignInviewVer();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Align Inview Ver, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoAlignInviewVer(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Space Across, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoSpaceAcross();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Space Across, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoSpaceAcross(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Space Down, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoSpaceDown();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Space Down, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoSpaceDown(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Cmd Nudgeleft, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCmdNudgeleft();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Cmd Nudgeleft, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCmdNudgeleft(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Cmd Nudgeright, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCmdNudgeright();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Cmd Nudgeright, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCmdNudgeright(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Cmd Nudgetop, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCmdNudgetop();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Cmd Nudgetop, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCmdNudgetop(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Cmd Nudgebottom, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCmdNudgebottom();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Cmd Nudgebottom, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCmdNudgebottom(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Tab Order, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoTabOrder();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Tab Order, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoTabOrder(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Text Property, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoTextProp();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Text Property, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoTextProp(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Bullet, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoBullet();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Bullet, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoBullet(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Property Line, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPropLine();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Property Line, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPropLine(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Property Fill, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPropFill();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Property Fill, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPropFill(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shadow Property, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShadowProp();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shadow Property, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShadowProp(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Property Event, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPropEvent();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Property Event, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPropEvent(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Property Custom, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPropCustom();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Property Custom, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPropCustom(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Roundrect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRoundrect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Roundrect, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawRoundrect(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Grid Snap, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGridSnap();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Grid Snap, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGridSnap(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Glue To Shape, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGlueToShape();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Glue To Shape, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGlueToShape(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Margin, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoMargin();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Margin, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoMargin(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Cmd Autopan, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCmdAutopan();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Cmd Autopan, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCmdAutopan(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Link A0 Normal, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoLinkA0Normal();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Link A0 Normal, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoLinkA0Normal(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Link A0 Bezier, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoLinkA0Bezier();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Link A0 Bezier, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoLinkA0Bezier(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Link A0 Corner, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoLinkA0Corner();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Link A0 Corner, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoLinkA0Corner(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Link A0 Upright, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoLinkA0Upright();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Link A0 Upright, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoLinkA0Upright(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Table, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawTable();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Table, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawTable(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Multiselect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawMultiselect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Multiselect, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawMultiselect(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Arcline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawArcline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Arcline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawArcline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Pie, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawPie();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Pie, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawPie(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo View Panwnd, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoViewPanwnd();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo View Panwnd, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoViewPanwnd(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Arc2, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawArc2();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Arc2, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawArc2(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Chord, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawChord();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Chord, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawChord(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Mirror Free, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoMirrorFree();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Mirror Free, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoMirrorFree(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Posandsizedlg, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPosandsizedlg();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Posandsizedlg, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPosandsizedlg(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Extend Line, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawExtLine();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Horizontal Dimline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawHorzDimline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Vertical Dimline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawVertDimline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Radius Dimline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRadiusDimline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Captionline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawCaptionline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Rectangle Callout, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRectCallout();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Round Callout, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawRoundCallout();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Cloud Callout, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawCloudCallout();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Glue To Shape Spot, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGlueToShapeSpot();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Glue To Intersect Point, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoGlueToIntersectPoint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Fromcenter, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawFromcenter();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Infront Shape, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoInfrontShape();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Behind Shape, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoBehindShape();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Reverse Order, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoReverseOrder();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Glue To Shape Spot, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGlueToShapeSpot(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Glue To Intersect Point, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoGlueToIntersectPoint(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Fromcenter, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawFromcenter(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shear Free, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShearFree();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shear Free, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShearFree(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Convert Path, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoConvertPath();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Convert Path, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoConvertPath(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Convert Polygon, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoConvertPolygon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Convert Polygon, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoConvertPolygon(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shapes Combine, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShapesCombine();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shapes Combine, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShapesCombine(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shapes Dismantle, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShapesDismantle();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shapes Dismantle, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShapesDismantle(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shapes Merge Merge, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShapesMergeMerge();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shapes Merge Merge, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShapesMergeMerge(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shapes Merge Substract, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShapesMergeSubstract();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shapes Merge Substract, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShapesMergeSubstract(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Shapes Merge Intersect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoShapesMergeIntersect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Shapes Merge Intersect, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoShapesMergeIntersect(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Connect Lines, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoConnectLines();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Connect Lines, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoConnectLines(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Break Lines, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoBreakLines();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Break Lines, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoBreakLines(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Closeshape, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoCloseshape();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Closeshape, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoCloseshape(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Polygon Insertpoint, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPolyInsertpoint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Polygon Insertpoint, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPolyInsertpoint(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Polygon Deletepoint, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPolyDeletepoint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Polygon Deletepoint, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPolyDeletepoint(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Polygon Makeline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPolyMakeline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Polygon Makeline, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPolyMakeline(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Polygon Makecurve, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPolyMakecurve();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Polygon Makecurve, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPolyMakecurve(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Polygon Ripuppoint, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoPolyRipuppoint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Polygon Ripuppoint, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoPolyRipuppoint(CCmdUI* pCmdUI);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Fo Draw Select Ellipse, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnFoDrawSelectEllipse();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Fo Draw Select Ellipse, Called to notify a view that its document has been modified.
	// Parameters:
	//		pCmdUI---Cmd U I, A pointer to the CCmdUI or NULL if the call failed.
	afx_msg void OnUpdateFoDrawSelectEllipse(CCmdUI* pCmdUI);
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Erase Background, Called when the window background needs erasing.
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Save Document, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns A 32-bit signed integer.  
	// Parameters:
	//		wParam---wParam, Provides additional information used in processing the message. The parameter value depends on the message.  
	//		lParam---lParam, Specifies A lparam value.
	afx_msg LONG OnSaveDocument( WPARAM wParam, LPARAM lParam);
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in UCCSampleView.cpp
inline CUCCSampleDoc* CUCCSampleView::GetDocument()
   { return (CUCCSampleDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UCCSAMPLEVIEW_H__A5E9E026_F3CF_46F0_9110_11BE77D97FFC__INCLUDED_)
