// UCCPolygonDlg.h : header file
//
//{{AFX_INCLUDES()
#include "uccdiagram.h"
//}}AFX_INCLUDES

#if !defined(AFX_UCCPOLYGONDLG_H__20783579_72C8_48E8_819A_58A7487800BF__INCLUDED_)
#define AFX_UCCPOLYGONDLG_H__20783579_72C8_48E8_819A_58A7487800BF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUCCPolygonDlg dialog

 
//===========================================================================
// Summary:
//     The CUCCPolygonDlg class derived from CDialog
//      U C C Polygon Dialog
//===========================================================================

class CUCCPolygonDlg : public CDialog
{
// Construction
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// U C C Polygon Dialog, Constructs a CUCCPolygonDlg object.
	//		Returns A  value.  
	// Parameters:
	//		pParent---pParent, A pointer to the CWnd or NULL if the call failed.
	CUCCPolygonDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUCCPolygonDlg)
	enum { IDD = IDD_UCCPOLYGON_DIALOG };
 
	// m_Draw, This member specify CUCCDiagram object.  
	CUCCDiagram	m_Draw;
	//}}AFX_DATA

 
	// Current Rectangle, This member sets TRUE if it is right.  
	BOOL bCurRect;
 
	// hMem, Specify a A 32-bit signed integer.  
	long hMem;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Random Color, Returns the specified value.
	//		Returns A 32-bit value used as a color value.
	COLORREF GetRandomColor();
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUCCPolygonDlg)
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
 
	// m_hIcon, This member specify HICON object.  
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUCCPolygonDlg)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Dialog, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL OnInitDialog();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On System Command, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nID---I D, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		lParam---lParam, Specifies A lparam value.
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Paint, Called to repaint a portion of the window.

	afx_msg void OnPaint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Query Drag Icon, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns A afx_msg HCURSOR value.
	afx_msg HCURSOR OnQueryDragIcon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawpolygon, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawpolygon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawpolyline, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawpolyline();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawrect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawrect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawellipse, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawellipse();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Delete, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDelete();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Clearall, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonClearall();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Zoomout, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonZoomout();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Zoomin, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonZoomin();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Undo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonUndo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Redo, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonRedo();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Print, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonPrint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Drawfivestar, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDrawfivestar();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Flobot, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonFlobot();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Selectall, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonSelectall();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Createrect, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvCreaterect();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Createellipse, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvCreateellipse();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Drawlink, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvDrawlink();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Createlink, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvCreatelink();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Moving, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvMoving();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Resize2x, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvResize2x();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Resize12x, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvResize12x();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Hexagon, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvHexagon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Button, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvButton();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Exportemf, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvExportemf();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On On Context Click Shape Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		shape---Specifies A 32-bit signed integer.  
	//		x---Specifies A 32-bit signed integer.  
	//		y---Specifies A 32-bit signed integer.
	afx_msg void OnOnContextClickShapeUccdrawctrl1(long shape, long x, long y);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On On Context Click Link Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		link---Specifies A 32-bit signed integer.  
	//		x---Specifies A 32-bit signed integer.  
	//		y---Specifies A 32-bit signed integer.
	afx_msg void OnOnContextClickLinkUccdrawctrl1(long link, long x, long y);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On On Context Click Background Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		x---Specifies A 32-bit signed integer.  
	//		y---Specifies A 32-bit signed integer.
	afx_msg void OnOnContextClickBackgroundUccdrawctrl1(long x, long y);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Adv Pagebackcolor, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnAdvPagebackcolor();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Double Click On Shape Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		shape---Specifies A 32-bit signed integer.  
	//		x---Specifies A 32-bit signed integer.  
	//		y---Specifies A 32-bit signed integer.
	afx_msg void OnDoubleClickOnShapeUccdrawctrl1(long shape, long x, long y);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Do L Button Down Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nFlags---nFlags, Specifies A 32-bit signed integer.  
	//		xPoint---xPoint, Specifies A 32-bit signed integer.  
	//		yPoint---yPoint, Specifies A 32-bit signed integer.
	afx_msg void OnDoLButtonDownUccdrawctrl1(long nFlags, long xPoint, long yPoint);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button1, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton1();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button2, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton2();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Do L Button Double click Clk Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nFlags---nFlags, Specifies A 32-bit signed integer.  
	//		xPoint---xPoint, Specifies A 32-bit signed integer.  
	//		yPoint---yPoint, Specifies A 32-bit signed integer.
	afx_msg void OnDoLButtonDblClkUccdrawctrl1(long nFlags, long xPoint, long yPoint);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Do Initial Create Shape Uccdrawctrl1, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		shape---Specifies A 32-bit signed integer.
	afx_msg void OnDoInitCreateShapeUccdrawctrl1(long shape);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Richtext, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonRichtext();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button3, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton3();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Pan, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonPan();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Hide Pan, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonHidePan();
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ E V E N T S I N K_ M A P, None Description.
	//		Returns A  value.
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UCCPOLYGONDLG_H__20783579_72C8_48E8_819A_58A7487800BF__INCLUDED_)
